<template>
  <view class="Scanning_Result">
    <view class="Scanning_top">
      <view class="Scanning_top_icon">
        <text class="cubeic-ok newicon newicon-duigou"></text>
        <view class="text1"> 签到成功 </view>
      </view>
      <view class="Scanning_top_text">
        您已到达{{queryObj.endDeptName}}，请核对填写以下物品数量
      </view>
    </view>

    <view class="Scanning_cont">
      <view class="Scanning_cont_head">
        <view class="Scanning_cont_head_item" :class="{active: parentIndex == i}" v-for="(item, i) in dataList" :key="item.id" @click="parentIndex = i">
          {{item.name}}
        </view>
      </view>

      <view class="Scanning_cont_list">
        <view class="Scanning_cont_list_item Scanning_cont_list_head">
          <view class="name">
            被服类型
          </view>
          <view class="value">
            <view>
              回收数量
            </view>
          </view>
          <view class="value">
            <view>
              送回数量
            </view>
          </view>
        </view>
        <scroll-view scroll-y="true" class="Scanning_cont_list_scroll" v-if="dataList[parentIndex]">
          <view class="Scanning_cont_list_item" @click="clickRow(item)" v-for="(item, j) in dataList[parentIndex].children" :key="item.id" :class="{red: item.clothesWashingDTO.exception == 1}">
            <view class="name">
              {{item.name}}
            </view>
            <view class="value">
              <view>
                {{item.clothesWashingDTO ? item.clothesWashingDTO.recyclingNum : ''}}
              </view>
            </view>
            <view class="value">
              <view>
                {{item.clothesWashingDTO ? item.clothesWashingDTO.sendBackNum : ''}}
              </view>
            </view>
          </view>
        </scroll-view>
      </view>
    </view>

    <view class="foot_btn">
      <view class="btn" @click="onClick()"> 核对完成 </view>
    </view>
  </view>
</template>
<script>
  import {
    get,
    post,
    SM,
    webHandle
  } from "../../../http/http.js";
  export default {
    data() {
      return {
        SMFlag: true,
        hosId: uni.getStorageSync('userData').user.currentHospital.id,
        queryObj: {}, //路由传递过来的数据
        dataList: [],
        parentIndex: 0,
      };
    },
    methods: {
      onClick(){
        this.quiltScan();
      },
      // 扫描工牌-被服洗涤
      quiltScan() {
        if (!this.SMFlag) {
          return;
        }
        this.SMFlag = false;
        SM().then((content) => {
          uni.showLoading({
            title: "加载中",
            mask: true,
          });
          //检验二维码的有效性(扫码前必须验证)
          post("/dept/scanning", {
              content,
            })
            .then((result) => {
              let accountCode = result.code;
              this.SMFlag = true;
              // 200检测通过，201没有有效期也通过。
              if (result.state == 200 || result.state == 201) {
                let data = {
                  code: accountCode, //二维码
                };
                post("/transflow/checkComplete", {
                    type: 'clothingSend',
                    orderId: this.queryObj.orderId,
                    code: accountCode,
                  })
                  .then((res) => {
                    uni.hideLoading();
                    if (res.data && res.data.state == 200) {
                      uni.showModal({
                        title: "提示",
                        content: "操作成功",
                        showCancel: false,
                        success: (result) => {
                          if (result.confirm) {
                            console.log("用户点击确定");
                            uni.navigateTo({
                              url: `../../receiptpage/receiptpage`,
                            });
                          }
                        },
                      });
                    } else {
                      uni.navigateTo({
                        url: `../../scanning_Result/scanning_Result?status=${res.data ? res.data.state : ''}&msg=${res.data ? res.data.msg : ''}&qrcode=${accountCode}`,
                      });
                    }
                  });
              } else {
                uni.hideLoading();
                uni.showToast({
                  icon: "none",
                  title: result.info || "接口获取数据失败！",
                });
              }
            })
        }).catch(err => {
          this.SMFlag = true;
        });
      },
      clickRow(data){
        uni.navigateTo({
          url: `../quiltWashingException/quiltWashingException?clothesTypeId=${data.id}&clothesTypeName=${data.name}&batchId=${data.clothesWashingDTO.batchId}&relatedDept=${data.clothesWashingDTO.relatedDept}`,
        });
      },
      getInfo(){
        uni.showLoading({
          title: "加载中",
          mask: true,
        });
        post("/transflow/scanInfo", {
          type: 'clothingSend',
          hosId: this.hosId,
          endDeptId: this.queryObj.endDeptId,
          orderId: this.queryObj.orderId,
          id: 0,
        }).then((result) => {
          uni.hideLoading();
          if (result.state == 200) {
            let dataList = result.data.treeList || [];
            dataList.forEach(v => {
              v.children = v.children.sort((a, b) => b.clothesWashingDTO.exception - a.clothesWashingDTO.exception)
            })
            console.log(dataList);
            this.dataList = dataList.slice(0, 3);
          } else {
            uni.showToast({
              icon: "none",
              title: result.msg || "接口获取数据失败！",
            });
          }
        });
      },
    },
    onLoad(options) {
      console.log(options, "result");
      this.queryObj = options;
      this.getInfo();
      // #ifdef APP-PLUS
      webHandle("no", "app");
      // #endif
      // #ifdef H5
      webHandle("no", "wx");
      // #endif
    },
  };
</script>
<style lang="less" scoped>
  .Scanning_Result {
    height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: #fafbfd;
    .Scanning_top {
      flex-shrink: 0;
      .Scanning_top_icon {
        padding-top: 26rpx;
        display: flex;
        justify-content: center;
        align-items: center;

        .cubeic-ok {
          font-size: 58rpx;
          color: #35b34a;
        }

        .text1 {
          font-size: 48rpx;
          font-weight: bold;
        }
      }
      .Scanning_top_text{
        text-align: center;
        font-size: 28rpx;
        font-weight: bold;
        padding: 8rpx 0 23rpx 0;
      }
    }

    .Scanning_cont {
      flex: 1;
      min-height: 0;
      display: flex;
      flex-direction: column;
      width: 710rpx;
      margin: 0 20rpx;
      background-color: #fff;

      .Scanning_cont_head{
        flex-shrink: 0;
        height: 78rpx;
        display: flex;
        border-top: 1rpx solid #EEEEEE;
        border-bottom: 1rpx solid #EEEEEE;
        .Scanning_cont_head_item{
          flex: 1;
          font-size: 32rpx;
          font-weight: bold;
          display: flex;
          justify-content: center;
          align-items: center;
          position: relative;
          &.active{
            color: #49B856;
            &::before{
              content: '';
              width: 70rpx;
              height: 10rpx;
              background-color: #49B856;
              position: absolute;
              left: 50%;
              bottom: 0;
              transform: translateX(-50%);
              border-radius: 6rpx;
            }
          }
          &::after{
            content: '';
            width: 2rpx;
            height: 44rpx;
            background-color: #D1D1D1;
            position: absolute;
            right: 0;
            top: 50%;
            transform: translateY(-50%);
          }
          &:last-of-type::after{
            opacity: 0;
          }
        }
      }

      .Scanning_cont_list{
        flex: 1;
        min-height: 0;
        display: flex;
        flex-direction: column;
        .Scanning_cont_list_scroll{
          flex: 1;
          min-height: 0;
        }
        .Scanning_cont_list_item{
          height: 70rpx;
          display: flex;
          align-items: center;
          font-size: 28rpx;
          border: 1rpx solid #272727;
          border-top: none;
          &.Scanning_cont_list_head{
            font-weight: bold;
            font-size: 28rpx;
            border-top: 1rpx solid #272727;
            flex-shrink: 0;
          }
          .name,
          .value{
            padding: 0 10rpx;
            flex: 1;
            display: flex;
            align-items: center;
            height: 100%;
            border-right: 1rpx solid #272727;
          }
          .value {
            view{
              width: 4em;
              text-align: center;
            }
          }
        }
      }
    }

    .foot_btn {
      flex-shrink: 0;
      line-height: 88rpx;
      display: flex;
      justify-content: center;

      .btn {
        height: 88rpx;
        flex: 1;
        margin-right: 1%;
        background-image: linear-gradient(to right, #72c172, #3bb197);
        color: #fff;
        border-radius: 8rpx;
        font-size: 28rpx;
        text-align: center;
        &:last-of-type{
          margin-right: 0;
        }
      }
    }
  }
</style>
